name: 'Resistance Thermometer Plugin'
version: "0.2.0"
alias: "resistance-thermometer"
creator: "d.brinkman-1@tudelft.nl"
description: "This is a plugin for a generic resistance thermomether measured through a DMM, which should be reachable via the TCP dispatcher."
runtime:
  main: plugin.py
settings:
  base:
    connector_name:
      label: "Connector name"
      type: str
      required: true 
      description: "Unique name of the TCP dispatcher connector for this collector"
    remote_host:
      label: "Remote Host IP"
      type: str 
      required: true
      description: "IP-address of the TCP Dispatcher"
    remote_port:
      label: "Remote Host Port"
      type: int
      required: true 
      description: "Port of the TCP Dispatcher"
    data_groups:
      label: "Data groups"
      type: list 
  data_groups:
    group_label: 
      label: "Group label" 
      type: str
      required: true  
      description: "Unique name (per collector) of the data group"
    keithley_model:
      label: "Keithley Model"
      type: str
      required: true
      description: "Keithley MultiMeter model number"
      choices: ["199", "2700"]
    data_points:
      label: "Data points"
      type: list 
  data_points: 
    variable_name:
      label: "Variable name"
      type: str
      required: true
      description: "Variable name of the data point. Will be used when exporting data"
    data_command:
      label: "Data Command"
      type: str 
      required: true 
      description: "Command to be send to the Keithley"
    scaling_factor:
      label: "Scaling Factor"
      type: int
      required: true
      default: 1
      description: "A generic scaling factor between the raw collected data and resistance of the sensor"
    conversion_method:
      label: "Conversion method"
      type: str
      required: true
      description: "Conversion method to convert collected value to desired output value"
      choices: ["None", "NTC Thermistor Model", "Linear Interpolation", "Allen-Barry Model", "Steinhart-Hart Model"]
    conversion_data:
      label: "Conversion data"
      type: str 
      required: false
      description: "JSON data required for chosen conversion method. Details depend on the chosen method"
    unit:
      label: "Unit"
      type: str 
      required: false
      description: "Unit of the retrieved variable. SI-prefixes are understood"
